What Phone Models Function With iTel's Systems?

Approved Phone Models

The main requirement for a phone to work with our system is that it is natively compatible with OpenSIP. We support the following Makes and associated Models. Please note this is not a comprehensive list. If your model does not appear here, please contact us and we will find out for you:

Aastra and Mitel

    • 6700i series
      • 6757i
      • 6739i
      • 6731i
      • 6730i
    • 480i
    • 6800i series
      • 6863i
      • 6865i
      • 6867i
      • 6869i

Polycom

    • VVX500
    • VVX600
    • Soundpoint IP Series
      • 330
      • 331
      • 335
      • 450
      • 550
      • 650
      • 670
    • Soundstation Series
      • 5000
      • 6000
      • 7000
      • Duo

Cisco and Linksys

    • SPA500 Series
    • SPA900 Series
    • spa303

Unsupported Models

The following models we do not support at this time:

  • Cisco 7900 Series
Have more questions? Submit a request

Comments